# ApiAuthRoleMetadata Data Model

This is the model for auth role metadata

Properties
name | data type | description
--- | --- | ---
displayName | string |
uuid | string |
role | string |
authorities | array of ApiAuthRoleAuthority |
allowedScopes | array of string |

Example

    {
      "displayName" : "...",
      "uuid" : "...",
      "role" : "...",
      "authorities" : [ {
        "name" : "...",
        "description" : "..."
      }, {
        "name" : "...",
        "description" : "..."
      } ],
      "allowedScopes" : [ "...", "..." ]
    }